ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

Updating Intelligent Provisioning over PXE

MichaCGN
Occasional Collector

Updating Intelligent Provisioning over PXE

Hello,

I'm desperated about a problem with the actual version of HP Intelligent Provisioning Update 2.50 over PXE. HP IP does generally supports booting the update image over PXE. With Version 1.50 we have already a PXE bootable version.

So i tried do do it the same with version 2.50. The boot process works fine but im stuck during the update process with the error "Error flashing NVRAM". I've tried days and nights a lot of workarounds but they didnt work for me.

I even tried to boot the iso over pxe i get the same problem. 

Here is the boot config for the actual version:

    label HPIPP2
    MENU PASSWD
    MENU LABEL HP Intelligent Provisioning 2.50
      kernel hp-ip/HPIP250-2016_1015/vmlinuz
      append initrd=hp-ip/HPIP250-2016_1015/initrd.img media=net rw root=/dev/ram0 ramdisk_size= init=/bin/init loglevel=3 ide=nodma ide=noraid nopat pnpbios=off usrramfs=1 vga=791 splash=silent showopts noexec32=off numa=off nox2apic edd=off

This is the boot config with the version 1.50 wich actual works:

    label HPIPP
    MENU PASSWD
      MENU LABEL HP Intelligent Provisioning 1.50
      kernel hp-ip/HPIP150-2013/vmlinuz
      append initrd=hp-ip/HPIP150-2013/initrd.img media=net rw root=/dev/ram0 ramdisk_size= init=/bin/init loglevel=3 ide=nodma ide=noraid nopat pnpbios=off vga=791 noexec32=off numa=off nox2apic type=automatic splash showopts

And here is the boot entry for the iso file.

      label hpipi_iso
        MENU LABEL HP IP 2.50 ISO
        kernel memdisk
        append iso initrd=management/hp-ipp/HPIP250.iso raw

I've tried all on HP Pro Liant 360 G9 and 120 G9. It seems that depends not realy on a specific server hardware.

If i boot the iso file over the ilo and starts the update, then it works. But that is not a pretty solution because in our company we install a lot of new HP server.

Unfortunatly HP doesnt provide a usefull documentation for setting up a functional pxe start of the update packs...

Any ideas?

Thank you

7 REPLIES
Torsten.
Acclaimed Contributor

Re: Updating Intelligent Provisioning over PXE

>> It seems that depends not realy on a specific server hardware.

Version 1.x is for Gen8

Version 2.x id for Gen9

The SPP release notes have a chapter about deploying over PXE, I assume it applies to the IP image too.

BTW, you can deploy IP via HPSUM too, a special 'rpm is available for 1.63 and 2.50.

 

http://downloads.linux.hpe.com/SDR/repo/ip/


Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Jimmy Vance
HPE Pro

Re: Updating Intelligent Provisioning over PXE

I'm seeng the same NVRAM error. I'll see if I can talk to someone on the IP team today




__________________________________________________
No support by private messages. Please ask the forum!      I work for HPE

If you feel this was helpful please click the KUDOS! thumb below!   
MichaCGN
Occasional Collector

Re: Updating Intelligent Provisioning over PXE

Hi Torsten,

thank you. Well, the release notes about the pxe for SPP are quite different. You have to mount the iso as nfs or cifs with pxe. Cifs dont works as well because in the inird the md5 module is missing... So we cannot authenticate with our mirror...

We want it on smb, not on nfs, but thats another case :D

 

 

 

MichaCGN
Occasional Collector

Re: Updating Intelligent Provisioning over PXE

Hi Jimmy,

that sounds great. I hope you can get maybe a usefull hint from the IP team :-)

Let me know if you have talked with them.

Thank you very much

 

RandyWe
Occasional Visitor

Re: Updating Intelligent Provisioning over PXE

I am trying to use uEFI PXE, and have the same issue.

My current Grub.cfg entry looks like this:

menuentry 'COP1532 HPIP 2.5'{
set gfxpayload=keep
echo Loading kernel...
linux /COP1532/system/vmlinuz media=net iso1=nfs://10.8.28.11:/data/tftpboot/COP1532/HPIP1240.iso ram root=/dev/ram splash quiet video=1024x768
echo Loading ramdisk...
initrd /COP1532/system/initrd.img
}

 

TheMarc
Occasional Visitor

Re: Updating Intelligent Provisioning over PXE

Hi

I have the same problem with IP 2.70b.

Also discovered that this problem occures while booting USB in legacy mode.

How can i boot IP from PXE and got ride of this "Error flashing NVRAM" message?

TheMarc
Occasional Visitor

Re: Updating Intelligent Provisioning over PXE

I found the solution.

These entry in the PXE-Server works as expected (Legacy-Boot):

# Gen9 Provisioning
label gen9_prov
  MENU LABEL ^7. Gen9 Provisioning 2.70b
  kernel HP/Prov_270b/pxe/vmlinuz
  append initrd=HP/Prov_270b/pxe/initrd.img media=net rw root=/dev/ram0 ramdisk_size= init=/bin/init loglevel=3 ide=nodma ide=noraid nopat pnpbios=off usrramfs=1 vga=791 splash=silent showopts noexec32=off numa=off nox2apic edd=off iso1=nfs://10.200.1.1/daten/tftpboot/HP/Prov_270b/ iso1mnt=/mnt/bootdevice

Have fun! ;-)